<!-- servlet SERVLET_STATIC flags HTTP_CACHE+HTTP_NOPWD+HTTP_ADMINLOGIN -->
<!-- item title="X.509 certificate details" -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
    <xsl:import href="work.xsl"/>
    <xsl:template match="/info">
        <html>
            <head>
                <link rel="stylesheet" href="/work.css" type="text/css"/>
                <title>Certificate details</title>
                <script language="javascript" type="text/javascript">
                    function close_details() {
                    <!--opener.location.reload();-->
                    window.open('','_self','');
                    window.close();
                    }
                </script>
            </head>
            <body>
                <fieldset class="main">
                    <xsl:for-each select="certificate">
                        <fieldset class="group">
                            <xsl:if test="@subject_cn">
                                <legend>
                                    <xsl:value-of select="@subject_cn"/>
                                </legend>
                            </xsl:if>
                            <table>
                                <xsl:if test="@subject">
                                    <tr>
                                        <th nowrap="">Subject</th>
                                        <td>
                                            <xsl:value-of select="@subject"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@subject_alt_name">
                                    <tr>
                                        <th nowrap="">Subject alternative</th>
                                        <td>
                                            <xsl:value-of select="@subject_alt_name"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@issuer">
                                    <tr>
                                        <th nowrap="">Issuer</th>
                                        <td>
                                            <xsl:value-of select="@issuer"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@dns1">
                                    <tr>
                                        <th nowrap="">DNS.1</th>
                                        <td>
                                            <xsl:value-of select="@dns1"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@dns2">
                                    <tr>
                                        <th nowrap="">DNS.2</th>
                                        <td>
                                            <xsl:value-of select="@dns2"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@dns3">
                                    <tr>
                                        <th nowrap="">DNS.3</th>
                                        <td>
                                            <xsl:value-of select="@dns3"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@ip1">
                                    <tr>
                                        <th nowrap="">IP.1</th>
                                        <td>
                                            <xsl:value-of select="@ip1"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@ip2">
                                    <tr>
                                        <th nowrap="">IP.2</th>
                                        <td>
                                            <xsl:value-of select="@ip2"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@serial_number">
                                    <tr>
                                        <th nowrap="">Serial number</th>
                                        <td>
                                            <xsl:value-of select="@serial_number"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@not_before">
                                    <tr>
                                        <th nowrap="">Not before</th>
                                        <td>
                                            <xsl:value-of select="@not_before"/> GMT
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@not_after">
                                    <tr>
                                        <th nowrap="">Not after</th>
                                        <td>
                                            <xsl:value-of select="@not_after"/> GMT
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@ca">
                                    <tr>
                                        <th nowrap="">CA</th>
                                        <td>
                                            <xsl:if test="@ca='true'">yes</xsl:if>
                                            <xsl:if test="@ca='false'">no</xsl:if>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@path_length and @ca='true'">
                                    <tr>
                                        <th nowrap="">Path length</th>
                                        <td>
                                            <xsl:value-of select="@path_length"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@key_usage">
                                    <tr>
                                        <th nowrap="">Key usage</th>
                                        <td>
                                            <xsl:value-of select="@key_usage"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@subject_key_id">
                                    <tr>
                                        <th nowrap="">Subject key ID</th>
                                        <td>
                                            <xsl:value-of select="@subject_key_id"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@authority_key_id">
                                    <tr>
                                        <th nowrap="">Authority key ID</th>
                                        <td>
                                            <xsl:value-of select="@authority_key_id"/>
                                        </td>
                                    </tr>
                                </xsl:if>                                
                                <tr>
                                    <th nowrap=""></th>
                                    <td>--------</td>
                                </tr>
                                <xsl:if test="@version">
                                    <tr>
                                        <th nowrap="">Type</th>
                                        <td>
                                            <xsl:value-of select="@version"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@key_type">
                                    <tr>
                                        <th nowrap="">Public key</th>
                                        <td>
                                            <xsl:if test="@key_strength">
                                                <xsl:value-of select="@key_strength"/>-bit
                                            </xsl:if>
                                            <xsl:value-of select="@key_type"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@fingerprint_sha1">
                                    <tr>
                                        <th nowrap="">SHA1</th>
                                        <td>
                                            <xsl:value-of select="@fingerprint_sha1"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@fg_sha">
                                    <tr>
                                        <th nowrap="">Signature</th>
                                        <td>
                                            <xsl:value-of select="@fg_sha"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                                <xsl:if test="@fingerprint_md5">
                                    <tr>
                                        <th nowrap="">MD5</th>
                                        <td>
                                            <xsl:value-of select="@fingerprint_md5"/>
                                        </td>
                                    </tr>
                                </xsl:if>
                            </table>
                        </fieldset>
                    </xsl:for-each>
                    <input class="save" type="button" name="close" value="Close" onClick="javascript:close_details();" />
                </fieldset>
            </body>
        </html>

    </xsl:template>
</xsl:stylesheet>
